import request from '@/utils/request'

// 查询活动明细列表
export function listInfo(query) {
  return request({
    url: '/mapi/activity/recharge/list',
    method: 'get',
    params: query
  })
}

// 查询活动明细详细
export function getInfo(id) {
  return request({
    url: '/mapi/activity/recharge/getInfo',
    method: 'get',
    params: {id: id}
  })
}

// 新增活动明细
export function addInfo(data) {
  return request({
    url: '/mapi/activity/recharge',
    method: 'post',
    data: data
  })
}

// 修改活动明细
export function updateInfo(data) {
  return request({
    url: '/mapi/activity/recharge',
    method: 'put',
    data: data
  })
}

// 删除活动明细
export function delInfo(id) {
  return request({
    url: '/mapi/activity/recharge/' + id,
    method: 'delete'
  })
}


// 修改活动明细状态
export function updateInfoStatus(id,status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/mapi/activity/recharge/updateStatus',
    method: 'post',
    data: data
  })
}



